import useEngineContext from "./useEngineContext";
import { request } from "../components/table/utils";
var useSetRequest = function useSetRequest() {
  var _context$appHelper, _context$appHelper$ut;
  var context = useEngineContext();
  request.setRequest((_context$appHelper = context.appHelper) === null || _context$appHelper === void 0 ? void 0 : (_context$appHelper$ut = _context$appHelper.utils) === null || _context$appHelper$ut === void 0 ? void 0 : _context$appHelper$ut.request);
};
export default useSetRequest;